package org.springframework.boot.loader.jar;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.springframework.boot.loader.jar.JarFileEntries;

final class Zip64Offsets implements JarFileEntries.Offsets {
  private final long[] offsets;
  
  private Zip64Offsets(int size) {
    this.offsets = new long[size];
  }
  
  public void swap(int i, int j) {
    JarFileEntries.access$700(this.offsets, i, j);
  }
  
  public void set(int index, long value) {
    this.offsets[index] = value;
  }
  
  public long get(int index) {
    return this.offsets[index];
  }
}
